<?php require_once('Connections/conexionabm.php'); 

session_start();

if (!$_SESSION){
	echo '<script language = javascript>
	self.location = "index.php"
</script>';
}

/* if ($_SESSION['niveluser']!=20){
echo '<script language = javascript>
self.location = "wron.php"
</script>';
}
*/

$_SESSION['tipo']='PT';
$_SESSION['tipo']='PERSONAL';

$tipo = "SEGURIDAD";
$fechasist = date("Y-m-d");
$fechacero = '0000-00-00';

$ultregistro = 0;
$numnovedad = 0;
$cedula = "";
$provincia = '';
$municipio = '';
$puesto = '';
$empresa = '';
$_SESSION['nombreofic'] = '';
$_SESSION['apellidoofic'] = '';
$strusuario = $_SESSION['strusuario'];
$ip			= $_SESSION['ip'];
$maquina 	= $_SESSION['maquina'];
$sigla 		= $_SESSION['sigla'];

if (!isset($_SESSION['direccion1'])) {
	$_SESSION['direccion1'] = '';
}

if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

$editFormAction = $_SERVER['PHP_SELF'];
if (isset($_SERVER['QUERY_STRING'])) {
  $editFormAction .= "?" . htmlentities($_SERVER['QUERY_STRING']);
}
// ----------------------------------------------------------------------------
if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form1")) {
	$totalRows_ExisteCaso = 0;
	$empresa 		= $_POST['empresa'];
	$puesto 		= $_POST['puesto'];
	$personal		= $_SESSION['idempleado']; //$_POST['personal'];
	$tanda			= $_POST['tanda'];
	$pagohora		= $_POST['debito2'];
	$cobrohora		= $_POST['credito2'];
	$nota			= $_POST['nota'];
	$idcliente		= $_SESSION['idcliente'];
	$empresa		= $_SESSION['nombre'];
    $longitud		= $_SESSION['longitud'];
    $latitud		= $_SESSION['latitud'];	

	$nombre_comercial	= $_POST['empresa'];
	$direccion_legal	= $_SESSION['direccion1'];
	$rnc				= '';
	$reg_mercantil		= '';
	$fecha_reg_merc		= '';
	
	$existe = 0;

	$long 	= intval($longitud);
	$lat	= intval($latitud);
	echo '<br/>';
	echo 'POSICION : '.$longitud.' -- '.$latitud;
	echo '<br/>';
	echo 'POSICION 2 : '.$long.' -- '.$lat;	
	
	if ($long == 0 AND $lat == 0) {
		echo '<script language = javascript>
			alert("Debe mapificar el puesto de trabajo ...")
			self.location = "puestos_trabajo"
		</script>';
	} else {
		$SqlSelect = "SELECT codigocia, empresa, puesto, codigoofic, nombreofic, apellidoofic 
		FROM puestos WHERE codigoofic = '$personal'";
		if ($resultPersona = $mysqli->query($SqlSelect)) {
			while ($row = $resultPersona->fetch_assoc()) {	
				$existe = 1;
			}
		}
		
		if ($existe > 0) {
			$sqlUpdate = "UPDATE puestod SET codigocia='$idcliente', idcia='$idcliente', empresa='$empresa', puesto='$puesto', tanda='$tanda', 
			pagohora='$pagohora', cobrohora='$cobrohora', nota='$nota', nombreuser='$strusuario', ip='$ip', maquina='$maquina', fechasist='$fechasist' 
			WHERE codigoofic = '$personal'";
			if (mysqli_query($conn_sqli, $sqlUpdate)) {
				$actualizado = 1;
			} else {
				echo "Error updating record: " . mysqli_error($conn_sqli);
			}
		}	
		if ($existe == 0) {
			$sqlInsert = "INSERT INTO puestos (codigocia, idcia, empresa, puesto, tanda, pagohora, cobrohora, nota, codigoofic, 
			nombreuser, ip, maquina, fechasist, ultfecha, sigla)
			VALUES ('$idcliente', '$idcliente', '$empresa', '$puesto', '$tanda', '$pagohora', '$cobrohora', '$nota', '$personal', 
			'$strusuario', '$ip', '$maquina', '$fechasist', '$fechacero', '$sigla')";
			if (mysqli_query($conn_sqli, $sqlInsert)) {
				$insertado = 1;
			} else {
				echo "Error: " . $sqlInsert . "<br>" . mysqli_error($conn_sqli);
			}
			//-------------------------------------------------------------------------------------------------------------------
			$sqlUpdate = "UPDATE personal SET idcia='$idcliente' WHERE idpersonal = $personal";
			if (mysqli_query($conn_sqli, $sqlUpdate)) {
				$actualizado = 1;
			} else {
				echo "Error updating record: " . mysqli_error($conn_sqli);
			}
		}
		//-----------------------------------------------------------------------------------------------------------------------------
			
		$type = 'PERSONAL';
	
		$SqlEmpl = "SELECT * FROM personal WHERE idpersonal = $personal";
		if ($resultEmpl = $mysqli->query($SqlEmpl)) {
			while ($row_Empl = $resultEmpl->fetch_assoc()) {	
				$nombre_comercial 	= $row_Empl['nombre'].' '.$row_Empl['apellido'];
				$rnc				= $row_Empl['cedula'];
				$direccion_legal	= $row_Empl['direccion'];	
				$fecha_reg_merc		= $row_Empl['fechaentra'];	
			}
		}
	
		$sqlDelete = "DELETE FROM mapificacion WHERE idempleado = '$personal'";
		if (mysqli_query($conn_sqli, $sqlDelete)) {
			$eliminado = 1;
		} else {
			echo "Error Eliminando record: " . mysqli_error($conn_sqli);
			exit();
		}
				
		$sqlInsert = "INSERT INTO mapificacion (idcliente, idempleado, fecha, lat, lng, cx, cy, nombre, direccion, 
		calle, rnc, reg_mercantil, fecha_reg_mercantil, incidente, tipoincidente, fechasist, tipomapeo, type, sigla)			
		VALUES ('$idcliente', '$personal', '$fechasist', '$latitud', '$longitud', '$latitud', '$longitud', '$nombre_comercial', 
		'$direccion_legal', '$direccion_legal', '$rnc', '$reg_mercantil', '$fecha_reg_merc', '$type', '$type', '$fechasist', 
		'$type', '$type', '$sigla')";
		if (mysqli_query($conn_sqli, $sqlInsert)) {
			$insertado = 1;
		} else {
			echo "Error: " . $sqlInsert . "<br>" . mysqli_error($conn_sqli);
		}

		$_SESSION['idempleado']	= 0; 
		$_SESSION['idcliente']	= 0;
		$_SESSION['nombre']		= '';
		$_SESSION['longitud']	= 0;
		$_SESSION['latitud']	= 0;	
		
		echo '<script language = javascript>
			alert("Puesto de trabajo registrado exitosamente")
			window.close()
		</script>';
	}
}
// ----------------------------------------------------------------------------

$idcliente = $_SESSION['idcliente'];

if (isset($_GET['idcliente'])) {
	$_POST['idcliente'] = $_GET['idcliente'];
}

if (isset($_POST['idcliente'])) {
	$_SESSION['idcliente']	= $_POST['idcliente'];
	$idcliente				= $_POST['idcliente'];
}

$SqlNumEmpl= "SELECT * FROM clientes WHERE idcliente = $idcliente";
if ($resultNumEmpl = $mysqli->query($SqlNumEmpl)) {
	while ($row_Detalle2 = $resultNumEmpl->fetch_assoc()) {	
		$_SESSION['rnc']					= $row_Detalle2['rnc'];
		$_SESSION['reg_mercantil']			= $row_Detalle2['reg_mercantil'];
		$_SESSION['fecha_reg_merc']			= $row_Detalle2['fecha_reg_merc'];
		$_SESSION['razon_social']			= $row_Detalle2['razon_social'];
		$_SESSION['nombre']					= $row_Detalle2['nombre_comercial'];
		$_SESSION['nombre_cia']				= $row_Detalle2['nombre_comercial'];
		$_SESSION['nombre_comercial']		= $row_Detalle2['nombre_comercial'];
		$_SESSION['domicilio_legal']		= $row_Detalle2['domicilio_legal'];
		$_SESSION['ciudad_legal']			= $row_Detalle2['ciudad_legal'];
		$_SESSION['provincia_legal']		= $row_Detalle2['provincia_legal'];
		$_SESSION['email_legal']			= $row_Detalle2['email_legal'];
		$_SESSION['telefono_cia']			= $row_Detalle2['telefono_legal'];
		$_SESSION['direccion_legal']		= $row_Detalle2['direccion_legal'];
		$_SESSION['sector_legal']			= $row_Detalle2['sector_legal'];
		$_SESSION['direccion_no_legal']		= $row_Detalle2['direccion_no_legal'];
		$_SESSION['provincia_no_legal']		= $row_Detalle2['provincia_no_legal'];
		$_SESSION['email_no_legal']			= $row_Detalle2['email_no_legal'];
		$_SESSION['telefono_no_legal']		= $row_Detalle2['telefono_no_legal'];
		$_SESSION['fecha_ingr_serv']		= $row_Detalle2['fecha_ingr_serv'];
		$_SESSION['horario']				= $row_Detalle2['horario'];
	}
}
if (!isset($_SESSION['nombre_empl'])) {
	$_SESSION['nombre_empl'] = '';
}

$funcion = '';

if (isset($_GET['idempl'])) {
	$_SESSION['idempleado'] = $_GET['idempl'];
	$idempl = $_GET['idempl'];
	
	$SqlOficial= "SELECT * FROM personal WHERE idpersonal = $idempl";
	if ($resultOficial = $mysqli->query($SqlOficial)) {
		while ($row_Oficial = $resultOficial->fetch_assoc()) {	
			$_SESSION['nombre_empl']	= $row_Oficial['nombre'].' '.$row_Oficial['apellido'];
			$_SESSION['sueldo']		 	= $row_Oficial['sueldo'];
			$cargo					 	= $row_Oficial['cargo'];

			$SqlFuncion = "SELECT * FROM cargos WHERE codigo = $cargo";
			if ($resultFuncion = $mysqli->query($SqlFuncion)) {
				while ($row_Funcion = $resultFuncion->fetch_assoc()) {				
					$funcion = $row_Funcion['descripcion'];
				}
			}
		}
	}
}

//$_SESSION['nombre_empl'] = '';
?>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
.requerido1 {font-family: Arial, Helvetica, sans-serif;
	font-size: 18px;
	color: #BF0000;
}
.requerido1 {font-family: Arial, Helvetica, sans-serif;
	font-size: 18px;
	color: #BF0000;
}
.requerido1 {font-family: Arial, Helvetica, sans-serif;
	font-size: 18px;
	color: #BF0000;
}
.requerido1 {font-family: Arial, Helvetica, sans-serif;
	font-size: 18px;
	color: #BF0000;
}


.textbox2 {
  border: 1px solid #A8D3FF;
  font-size: 12px;
  font-family: Arial, Verdana;
  border-radius: 4px;
  color: #2E3133;
  background-color: #FF9;
  padding: 4px;
  height:24px;
}

</style>
<script type="text/javascript">
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}
function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
</script>
<head>

<script src="ckeditor.js"></script>
	<script src="js/sample.js"></script>
	<link rel="stylesheet" href="css/samples.css">
	<link rel="stylesheet" href="toolbarconfigurator/lib/codemirror/neo.css">

<script src="http://js.nicedit.com/nicEdit-latest.js" type="text/javascript"></script>
<!--<script src="nicEdit.js" type="text/javascript"></script>-->

<!--<script src="nicEdit.js" type="text/javascript"> </script>
-->

<script type="text/javascript">bkLib.onDomLoaded(function() { new nicEditor().panelInstance('nota'); });</script>

<script type="text/javascript">
function justNumbers(e)
        {
        var keynum = window.event ? window.event.keyCode : e.which;
        if ((keynum == 8) || (keynum == 46))
        return true;
         
        return /\d/.test(String.fromCharCode(keynum));
        }
</script>

<script languaje="javascript">
	function Ok()
	{
		nicEditors.findEditor('nota').saveContent();
		document.form1.submit();
	}
</script>


<script type="text/javascript">
    function debitoCero() {
		document.form1.debito.value = '';
    }	
</script>

<script type="text/javascript">
    function creditoCero() {
		document.form1.credito.value = '';
    }	
</script>

<script type="text/javascript">
function separarDebito(Elemento){
	document.form1.debito2.value	= document.form1.debito.value;
	cadenadr = document.form1.debito.value;

	if(document.form1.debito.value == ''){
		document.form1.debito2.value = 0;
	}	
	
	if(cadenadr.indexOf('$') != -1){
		document.form1.debito2.value = 0;
	}	

	var valor=Elemento.value;
    var valorDecimal;
    var agregar00=true;
	
    if(valor.indexOf("$")!=-1){
    }else{
        //se compara para ver si tiene decimales
        if(valor.indexOf(".")!=-1){
            //si tiene decimales no se la gregara el .00
            agregar00=false;
            //se separa el valor decimal del valor entero
            valorDecimal=valor.substring(valor.indexOf("."), largo);
            valor=valor.substring(0, valor.indexOf("."));
        }
        //se toma el valor del entero
        var largo=valor.length;
        if(largo>9){
            valor=valor.substring(largo-12,largo-9)+","+valor.substring(largo-9,largo-6)+","+valor.substring(largo-6,largo-3)+","+valor.substring(largo-3, 
			largo);
        }else
        if(largo>6){
            valor=valor.substring(largo-9,largo-6)+","+valor.substring(largo-6,largo-3)+","+valor.substring(largo-3, largo);
        }else
        if(largo>3){
            valor=valor.substring(largo-6,largo-3)+","+valor.substring(largo-3, largo);
        }
        valor="$"+valor;
        if(agregar00==true){
            valor=valor+".00"
        }else{
            valor=valor+valorDecimal;
        }
        Elemento.value=valor;
    }
}
</script>


<script type="text/javascript">
function separarCredito(Elemento){
	document.form1.credito2.value	= document.form1.credito.value;
	cadenacr = document.form1.credito.value;

	if(document.form1.credito.value == ''){
		document.form1.credito2.value = 0;
	}	

	if(cadenacr.indexOf('$') != -1){
		document.form1.credito2.value = 0;
	}
			
    var valor=Elemento.value;
    var valorDecimal;
    var agregar00=true;
    if(valor.indexOf("$")!=-1){
    }else{
        //se compara para ver si tiene decimales
        if(valor.indexOf(".")!=-1){
            //si tiene decimales no se la gregara el .00
            agregar00=false;
            //se separa el valor decimal del valor entero
            valorDecimal=valor.substring(valor.indexOf("."), largo);
            valor=valor.substring(0, valor.indexOf("."));
        }
        //se toma el valor del entero
        var largo=valor.length;
        if(largo>9){
            valor=valor.substring(largo-12,largo-9)+","+valor.substring(largo-9,largo-6)+","+valor.substring(largo-6,largo-3)+","+valor.substring(largo-3, 
			largo);
        }else
        if(largo>6){
            valor=valor.substring(largo-9,largo-6)+","+valor.substring(largo-6,largo-3)+","+valor.substring(largo-3, largo);
        }else
        if(largo>3){
            valor=valor.substring(largo-6,largo-3)+","+valor.substring(largo-3, largo);
        }
        valor="$"+valor;
        if(agregar00==true){
            valor=valor+".00"
        }else{
            valor=valor+valorDecimal;
        }
        Elemento.value=valor;
    }
}
</script>


<script>

// hacer que funcione con diferentes navegadores

function requerir(){

	try{

	req=new XMLHttpRequest();

	}catch(err1){

		try{

		req=new ActiveXObject("Microsoft.XMLHTTP");

		}catch(err2){

			try{

			req=new ActiveXObject("Msxml2.XMLHTTP");

			}catch(err3){

			req= false;

			}

		}

	}

return req;

}





var peticion=requerir();



function llamarAjaxGETproProv(){

	var aleatorio=parseInt(Math.random()*999999999);

	valor=document.getElementById("regional").value;

	var url="provincia.php?valor="+valor+"&r="+aleatorio;

	peticion.open("GET",url,true);

	peticion.onreadystatechange =respuestaAjaxproProv;

	peticion.setRequestHeader('Content-Type','application/x-www-form-urlencoded');

	peticion.send(null);

}



function respuestaAjaxproProv(){

	if(peticion.readyState==4){

		if(peticion.status==200){

		document.getElementById("provincia1").innerHTML=peticion.responseText;

		}else{

		alert("Ha ocurrido un error"+peticion.statusText);

		}

	}

}


function llamarAjaxGETpro(){

	var aleatorio=parseInt(Math.random()*999999999);

	valor=document.getElementById("provincia1").value;

	var url="municipio.php?valor="+valor+"&r="+aleatorio;

	peticion.open("GET",url,true);

	peticion.onreadystatechange =respuestaAjaxpro;

	peticion.setRequestHeader('Content-Type','application/x-www-form-urlencoded');

	peticion.send(null);

}



function llamarAjaxGETdisProv(){

	var aleatorio=parseInt(Math.random()*999999999);

	valormunicipio=document.getElementById("provincia1").value;

	var url="municipios.php?valormunicipio="+valormunicipio+"&r="+aleatorio;

	peticion.open("GET",url,true);

	peticion.onreadystatechange =respuestaAjaxdisProv;

	peticion.setRequestHeader('Content-Type','application/x-www-form-urlencoded');

	peticion.send(null);

}



function llamarAjaxGETdis(){

	var aleatorio=parseInt(Math.random()*999999999);

	valormunicipio=document.getElementById("pro").value;

	var url="sectores.php?valormunicipio="+valormunicipio+"&r="+aleatorio;

	peticion.open("GET",url,true);

	peticion.onreadystatechange =respuestaAjaxdis;

	peticion.setRequestHeader('Content-Type','application/x-www-form-urlencoded');

	peticion.send(null);

}





function respuestaAjaxpro(){

	if(peticion.readyState==4){

		if(peticion.status==200){

		document.getElementById("pro").innerHTML=peticion.responseText;

		}else{

		alert("Ha ocurrido un error"+peticion.statusText);

		}

	}

}



function respuestaAjaxdisProv(){	

	if(peticion.readyState==4){

		if(peticion.status==200){

		document.getElementById("provincia1").innerHTML=peticion.responseText;

		valormunicipio=document.getElementById("provinc").value=valormunicipio=document.getElementById("provincia1").value;

		}else{

		alert("Ha ocurrido un error"+peticion.statusText);

		}

	}

}



function respuestaAjaxdis(){	

	if(peticion.readyState==4){

		if(peticion.status==200){

		document.getElementById("dis").innerHTML=peticion.responseText;

		valormunicipio=document.getElementById("municip").value=valormunicipio=document.getElementById("pro").value;

		}else{

		alert("Ha ocurrido un error"+peticion.statusText);

		}

	}

}



// Segunda parte de los combox de Provincias, Municipios y Sectores



function llamarAjaxGETproDos(){

	var aleatorio=parseInt(Math.random()*999999999);

	valor2=document.getElementById("provincia2").value;

	var url="municipiodos.php?valor2="+valor2+"&r="+aleatorio;

	peticion.open("GET",url,true);

	peticion.onreadystatechange =respuestaAjaxproDos;

	peticion.setRequestHeader('Content-Type','application/x-www-form-urlencoded');

	peticion.send(null);

}



function llamarAjaxGETdisDos(){

	var aleatorio=parseInt(Math.random()*999999999);

	valormunicipio2=document.getElementById("municdos").value;

	var url="sectoresdos.php?valormunicipio2="+valormunicipio2+"&r="+aleatorio;

	peticion.open("GET",url,true);

	peticion.onreadystatechange =respuestaAjaxdisDos;

	peticion.setRequestHeader('Content-Type','application/x-www-form-urlencoded');

	peticion.send(null);

}





function respuestaAjaxproDos(){

	if(peticion.readyState==4){

		if(peticion.status==200){

		document.getElementById("municdos").innerHTML=peticion.responseText;

		}else{

		alert("Ha ocurrido un error"+peticion.statusText);

		}

	}

}



function respuestaAjaxdisDos(){	

	if(peticion.readyState==4){

		if(peticion.status==200){

		document.getElementById("dis2").innerHTML=peticion.responseText;

		valormunicipio2=document.getElementById("municdos").value=valormunicipio2=document.getElementById("municdos").value;

		}else{

		alert("Ha ocurrido un error"+peticion.statusText);

		}

	}

}

</script>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $_SESSION['cia'] ?></title>

<script src="jquery-1.3.2.js" type="text/javascript"></script>
<script src="jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
<script src="main.js"></script>

<script>
jQuery(function($){
$("#dinero").mask("999,99");
$("#hora1").mask("99:99:99");
$("#hora2").mask("99:99:99");
$("#horarecepcion").mask("99:99:99");
$("#valorprest").mask("999,999,99999");
$("#cedula").mask("999-9999999-9");
$("#cedulasospechoso").mask("999-9999999-9");
$("#telefono").mask("999-999-9999");
$("#celcontacto1").mask("999-999-9999");
$("#celcontacto2").mask("999-999-9999");
$("#celular").mask("999-999-9999");
$("#flota").mask("999-999-9999");
$("#fecha").mask("99-99-9999");
$("#fecha2").mask("99-99-9999");
$("#telefonop").mask("999-999-9999");
$("#celularp").mask("999-999-9999");
$("#telefonom").mask("999-999-9999");
$("#celularm").mask("999-999-9999");
$("#telcontacto").mask("999-999-9999");
$("#telefonosup").mask("999-999-9999");
$("#telconyugue").mask("999-999-9999");
});
</script> 
<style type="text/css">
<!--
#Layer1 {
	position:absolute;
	width:257px;
	height:393px;
	z-index:1;
	background-color: #CDDFF5;
	left: 16px;
	top: 241px;
}
#Layer2 {
	position:absolute;
	width:258px;
	height:673px;
	z-index:1;
	top: 243px;
	background-color: #D8D8D8;
	left: 287px;
}
#apDiv1 {
	position:absolute;
	width:1000px;
	height:736px;
	z-index:2;
	left: 126px;
	top: 472px;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #666;
	text-align: justify;
	border: 0;
	border-color: #CCC;
	border-style: ridge;
	background-color: #E2E2E2;
	padding-left: 5px;
	padding-right: 5px;
}
#apDiv2 {
	position:absolute;
	left:225px;
	top:977px;
	width:132px;
	height:107px;
	z-index:3;
	background-color: #CCCCCC;
}
body {
	background-color: #FFFFFF;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
}
#apDiv3 {
	position:absolute;
	width:200px;
	height:115px;
	z-index:3;
	left: 14px;
}
#apDiv4 {
	position:absolute;
	width:200px;
	height:115px;
	z-index:4;
}
#apDiv5 {
	position:absolute;
	width:200px;
	height:115px;
	z-index:5;
	left: 39px;
	top: 626px;
}
#apDiv6 {
	position:absolute;
	width:200px;
	height:115px;
	z-index:3;
	left: 38px;
	top: 663px;
}
#apDiv7 {
	position:absolute;
	width:200px;
	height:115px;
	z-index:3;
	left: 44px;
	top: 650px;
}
.us {
	font-size: 12px;
}
.style3 {
	font-size: 12px;
	color: #000099;
}
.style4 {color: #FF0000}
.menubar {
	font-size: 12px;
	width: auto;
}
.menubar {
	font-size: 12px;
	width: auto;
}
body table tr td table tr td {
	color: #000;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
}
.menubrt {
	color: #FFFFFF;
	font-size: 12px;
}
.tit {
	font-size: 14px;
	font-weight: bold;
	text-align: left;
}
.style11 {color: #000066;
	font-size: 18px;
	font-family: Arial, Helvetica, sans-serif;
	font-weight: normal;
	text-align: center;
}
.user {font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-weight: normal;
	color: #999;
}
.style2 {
	font-size: 14px;
	font-weight: bold;
	color: #FFFFFF;
}
.requerido {	font-family: Arial, Helvetica, sans-serif;
	font-size: 18px;
	color: #BF0000;
}

input[type="text"], textarea
{	/*Efecto de redondeo y color para las cajas de textos*/
	background: #FFFFFF;
	border-radius: .4em;
	color: #000000;
	font-size: 12px;
	padding: .10em;
}
input[type="text"], textbox
{	/*Efecto de redondeo y color para las cajas de textos*/
	background: #FFFFFF;
	border-radius: .4em;
	color: #000000;
	font-size: 12px;
	padding: .10em;
}
input[type="text"], select
{	/*Efecto de redondeo y color para las cajas de textos*/
	background: #FFFFFF;
	border: thin solid skyblue;
	border-radius: .2em;
	color: #000000;
	font-size: 12px;
	padding: .10em;
	height: 26px;
}

input[type="text"]:focus, textarea:focus
{
	/*Efecto de cambio que realizaran las cajas de textos en el estado focus*/
	/* background: aliceblue; */
}	
.cambio
{
	/*Efecto que realizara Cuando se realice un cambio en los botones, o coloquemos el cursor sobre estos */
	-ms-transition: all .2s ease-in-out;
	-moz-transition: all .2s ease-in-out;
	-o-transition: all .2s ease-in-out;
	-webkit-transition: all .2s ease-in-out;
	transition: all .2s ease-in-out;
}
:focus
{
	box-shadow: 1.em 1.em .5em rgba(255,102,0,.50);
	outline: thin solid #F60; /*Este es el borden de las cajas de textos y los radios*/
}


.Boton1 {
	-moz-box-shadow:inset 0px 1px 0px 0px #54a3f7;
	-webkit-box-shadow:inset 0px 1px 0px 0px #54a3f7;
	box-shadow:inset 0px 1px 0px 0px #54a3f7;
	background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #007dc1), color-stop(1, #0061a7));
	background:-moz-linear-gradient(top, #007dc1 5%, #0061a7 100%);
	background:-webkit-linear-gradient(top, #007dc1 5%, #0061a7 100%);
	background:-o-linear-gradient(top, #007dc1 5%, #0061a7 100%);
	background:-ms-linear-gradient(top, #007dc1 5%, #0061a7 100%);
	background:linear-gradient(to bottom, #007dc1 5%, #0061a7 100%);
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#007dc1', endColorstr='#0061a7',GradientType=0);
	background-color:#007dc1;
	-moz-border-radius:3px;
	-webkit-border-radius:3px;
	border-radius:3px;
	border:1px solid #124d77;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
	font-family:Arial;
	font-size:13px;
	padding:6px 24px;
	text-decoration:none;
	text-shadow:0px 1px 0px #154682;
}
.Boton1:hover {
	background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #0061a7), color-stop(1, #007dc1));
	background:-moz-linear-gradient(top, #0061a7 5%, #007dc1 100%);
	background:-webkit-linear-gradient(top, #0061a7 5%, #007dc1 100%);
	background:-o-linear-gradient(top, #0061a7 5%, #007dc1 100%);
	background:-ms-linear-gradient(top, #0061a7 5%, #007dc1 100%);
	background:linear-gradient(to bottom, #0061a7 5%, #007dc1 100%);
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#0061a7', endColorstr='#007dc1',GradientType=0);
	background-color:#0061a7;
}

input[type="text"], select, date {
	border: thin solid skyblue;
	border-radius: .4em;
	padding: .10em;
	height: 26px;
}

.textbox {
	border: thin solid skyblue;
	border-radius: .4em;
	padding: .10em;
	height: 26px;
	box-shadow: 0.2px 0.2px 1px 1px #09C;
}

input[type="text"]:focus, textarea:focus {
	background: aliceblue;
}	

.border_tabla {
	border-radius: 14px 14px 14px 14px;
	-moz-border-radius: 14px 14px 14px 14px;
	-webkit-border-radius: 14px 14px 14px 14px;
	border: 1px solid #CCC;
}

.border_tabla2 {
	border-radius: 10px 10px 10px 10px;
	-moz-border-radius: 10px 10px 10px 10px;
	-webkit-border-radius: 10px 10px 10px 10px;
	border: 1px solid #CCC;
}

.border_tabla3 {
	border: 1px solid #CCC;
}

.border_tabla4 {
	style="border-width: 1px;border: solid; border-color: #FF0000;"
}

.contenedorCambioImg {
	position: relative;
	height: 75px;
	width: 150px;
	float: left;
}

.contenedorCambioImg img {
  position: absolute;
  left: 0;
  transition: opacity 1s ease-in-out;
}

.contenedorCambioImg img.top:hover {
  opacity: 0;
}

</style>
<script type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
//-->
</script>
<script type="text/javascript">
/**
 * Funcion que devuelve true o false dependiendo de si la fecha es correcta.
 * Tiene que recibir el dia, mes y año
 */
function isValidDate(day,month,year)
{
    var dteDate;
    
    // En javascript, el mes empieza en la posicion 0 y termina en la 11 
    //   siendo 0 el mes de enero
    // Por esta razon, tenemos que restar 1 al mes
    month=month-1;
    // Establecemos un objeto Data con los valore recibidos
    // Los parametros son: año, mes, dia, hora, minuto y segundos
    // getDate(); devuelve el dia como un entero entre 1 y 31
    // getDay(); devuelve un num del 0 al 6 indicando siel dia es lunes,
    //   martes, miercoles ...
    // getHours(); Devuelve la hora
    // getMinutes(); Devuelve los minutos
    // getMonth(); devuelve el mes como un numero de 0 a 11
    // getTime(); Devuelve el tiempo transcurrido en milisegundos desde el 1
    //   de enero de 1970 hasta el momento definido en el objeto date
    // setTime(); Establece una fecha pasandole en milisegundos el valor de esta.
    // getYear(); devuelve el año
    // getFullYear(); devuelve el año
    dteDate=new Date(year,month,day);
    
    //Devuelva true o false...
    return ((day==dteDate.getDate()) && (month==dteDate.getMonth()) && (year==dteDate.getFullYear()));
}

/**
 * Funcion para validar una fecha
 * Tiene que recibir:
 *  La fecha en formato ingles yyyy-mm-dd
 * Devuelve:
 *  true-Fecha correcta
 *  false-Fecha Incorrecta
 */
function validate_fecha(fecha)
{
    var patron=new RegExp("^(19|20)+([0-9]{2})([-])([0-9]{1,2})([-])([0-9]{1,2})$");

    if(fecha.search(patron)==0)
    {
        var values=fecha.split("-");
        if(isValidDate(values[2],values[1],values[0]))
        {
            return true;
        }
    }
    return false;
}

function calcularEdad()
{
    var fecha=document.getElementById("fechanac").value;
    if(validate_fecha(fecha)==true)
    {
        // Si la fecha es correcta, calculamos la edad
        var values=fecha.split("-");
        var dia = values[2];
        var mes = values[1];
        var ano = values[0];

        // cogemos los valores actuales
        var fecha_hoy = new Date();
        var ahora_ano = fecha_hoy.getYear();
        var ahora_mes = fecha_hoy.getMonth();
        var ahora_dia = fecha_hoy.getDate();
        
        // realizamos el calculo
        var edad = (ahora_ano + 1900) - ano;
        if ( ahora_mes < (mes - 1))
        {
            edad--;
        }
        if (((mes - 1) == ahora_mes) && (ahora_dia < dia))
        {
            edad--;
        }
        if (edad > 1900)
        {
            edad -= 1900;
        }

        document.getElementById("edad").value = edad;
    }else{
        alert('Fecha incorrecta, favor introducir una fecha valida...');
	   document.getElementById("fechanac").focus;
    }
}
</script>

<script src="Scripts/AC_RunActiveContent.js" type="text/javascript"></script>

<script>
  function subirimagen()
  {
	  self.name = 'opener';
	  remote = open('gestionimagen.php', 'remote',
	'width=400,height=150,location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=yes,fullscreen=no,status=yes');
	remote.focus();
	  }
    </script>
<script>
  function subirimagen2()
  {
	  self.name = 'opener';
	  remote = open('gestionimagen2.php', 'remote',
	'width=400,height=150,location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=yes,fullscreen=no,status=yes');
	remote.focus();
	  }
</script>
<script>
  function subirimagen3()
  {
	  self.name = 'opener';
	  remote = open('gestionimagen3.php', 'remote',
	'width=400,height=150,location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=yes,fullscreen=no,status=yes');
	remote.focus();
	  }
</script>
    
<script>
  function subirimagen4()
  {
	  self.name = 'opener';
	  remote = open('gestionimagen4.php', 'remote',
	'width=400,height=150,location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=yes,fullscreen=no,status=yes');
	remote.focus();
	  }
</script>
<script>
  function subirimagen5()
  {
	  self.name = 'opener';
	  remote = open('gestionimagen5.php', 'remote',
	'width=400,height=150,location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=yes,fullscreen=no,status=yes');
	remote.focus();
	  }
</script>
<script>
  function subirimagen6()
  {
	  self.name = 'opener';
	  remote = open('gestionimagen6.php', 'remote',
	'width=400,height=150,location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=yes,fullscreen=no,status=yes');
	remote.focus();
	  }
</script>    

<script>
  function mapificaPersonal() {
	  nombre_cia = document.getElementById('empresa').value;
	  personal 	 = document.getElementById('personal').value;
	  
	  if (personal != '' && empresa != '') {
			self.name = 'opener';
			remote = open('mapifica_cliente?nombre_cia='+nombre_cia+'&personal='+personal, 'remote',
			'width=960,height=700,location=no,scrollbars=yes,menubars=no,toolbars=no,resizable=yes,fullscreen=no,status=yes');
			remote.focus();
	  }
	  }
</script>
</head>

<body onLoad="MM_preloadImages('botonbuscaclt2.jpg')">
<table width="800" height="725"  border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse; padding-top: 0px; font-family: Arial, Helvetica, sans-serif; font-size: 12px; color: #0066FF; text-align: center; background-color: #FFFFFF;" bordercolor="#CCCCCC" align="center">
  <tr>
    <td height="72" colspan="3" align="center" valign="top" ><a href="index_administ2"><img src="imagenes/<?php echo $_SESSION['logopq'] ?>" alt="" width="80" height="70" /></a></td>
  </tr>
  <tr>
    <td width="241" height="22" align="left" valign="middle" >&nbsp;</td>
    <td width="376" align="center" valign="middle" ><span class="style111"><span class="style2"><span class="style3">Registro Nuevo Personal a Cliente</span></span></span></td>
    <td width="279" align="center" valign="middle" ><span class="user">Usuario : <?php echo $_SESSION['nombreuser']?>&nbsp; <?php echo $_SESSION['apellidouser']?></span></td>
  </tr>
  <tr>
    <td height="23" colspan="3" align="center" valign="middle" ><a href="list_puestos.php">Lista General de Puestos Registrados</a></td>
  </tr>
  <tr>
    <td height="433" colspan="3" align="center" valign="top" >
      <form action="<?php echo $editFormAction; ?>" method="post" name="form1" id="form1">
        &nbsp;
        <table width="687" height="424" align="center" bgcolor="#CEEFFF" class="border_tabla3">
          <tr valign="baseline" bgcolor="#FFFFFF">
            <td height="18" colspan="5" align="right" valign="middle" nowrap="nowrap">&nbsp;</td>
          </tr>
          <tr valign="baseline" bgcolor="#003366">
            <td width="141" height="18" align="right" valign="middle" nowrap="nowrap">&nbsp;</td>
            <td colspan="3" align="left" valign="middle"><strong><span class="menubrt">DATOS DEL PUESTO</span></strong></td>
            <td width="155" align="left" valign="middle">&nbsp;</td>
          </tr>
          <tr valign="baseline">
            <td align="right" valign="middle" >&nbsp;</td>
            <td colspan="2" align="left" valign="middle" >&nbsp;</td>
            <td width="121" height="20" align="right" valign="middle" nowrap="nowrap" >&nbsp;</td>
            <td align="left" valign="middle" >&nbsp;</td>
          </tr>
          <tr bordercolor="#333333" >
            <td height="28" align="right" valign="middle"  class="justicatabla">Nombre Empresa  :</td>
            <td colspan="4" align="left" valign="middle" ><span class="normal">
              <input name="empresa" type="text" id="empresa" value="<?php echo $_SESSION['nombre'] ?>" size="56" readonly />
            </span><a href="list_busca_clte_fc.php" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image4','','botonbuscaclt2.jpg',1)"></a></td>
          </tr>
          <tr valign="baseline">
            <td height="26" align="right" valign="middle"><span class="justicatabla">Oficial Asignado   :</span></td>
            <td colspan="3" align="left" valign="middle">
            <input name="buscar" type="search" class="textbox" id="buscar" placeholder="Buscar Empleado" style="width:330px"
            value="<?php echo $_SESSION['nombre_empl'] ?>"></td> 
            <td align="left" valign="middle"><span class="normal">
              <input name="debito" type="text" class="textbox2" id="debito" style="text-align: right" onFocus="debitoCero()" onBlur="separarDebito(this)"  onkeypress="return justNumbers(event);" value="0.00" size="10" hidden="true"/>
              <input name="credito" type="text" class="textbox2" id="credito" style="text-align: right" onFocus="creditoCero()"
                      onblur="separarCredito(this)" onKeyPress="return justNumbers(event);" value="0.00" size="10" hidden="true"/>
              <input name="personal" type="text" id="personal" value="<?php echo $_SESSION['idempleado'] ?>" size="6" readonly hidden="true"/>
            </span></td>
          </tr>
          <tr valign="baseline">
            <td height="29" align="right" valign="middle">&nbsp;</td>
            <td height="26" colspan="4" align="left" valign="middle"><div id="datos" style="background-color:#FFF"></div></td>
          </tr>
          <tr valign="baseline">
            <td height="29" align="right" valign="middle">Nombre del Puesto :</td>
            <td width="187" align="left" valign="middle"><input name="puesto" type="text" id="puesto" value="" size="32" required/></td>
            <td width="59" height="26" align="right" valign="middle">&nbsp;</td>
            <td align="right" valign="middle">Tanda  :</td>
            <td align="left" valign="middle"><select name="tanda" id="tanda" required>
              <option></option>
              <?php 
				mysql_select_db($database_conexionabm, $conexionabm);
				$re=mysql_query("select * FROM tandas ORDER BY descripcion");
				while($f=mysql_fetch_array($re)) {
				echo'<option value="'.$f['descripcion'].'">'.$f['descripcion'].'</option>';
			}
		
			?>
            </select></td>
          </tr>
          <tr valign="baseline">
            <td height="26" align="right" valign="middle"><input name="codigo" type="hidden" id="codigo" value="<?php echo $_SESSION['codbarra'] ?>" size="16" required/>
            <input name="codigo2" type="hidden" id="codigo2" value="<?php echo $_SESSION['codigoofic'] ?>" size="20" required/>
            Sueldo Mensual :</td>
            <td colspan="2" align="left" valign="middle">
            <input name="sueldoMes" type="text" required id="sueldoMes" value="<?php echo number_format($_SESSION['sueldo'],2) ?>" size="32" readonly/></td>
            <td align="right" valign="middle">Cargo o Función :</td>
            <td align="left" valign="middle" ><input name="funcion" type="text" required id="funcion" value="<?php echo $funcion ?>" size="32" readonly/></td>
          </tr>
          <tr valign="baseline">
            <td height="67" colspan="5" align="left" valign="middle" nowrap="nowrap" bgcolor="#FFFFFF" ><textarea name="nota" cols="100%" rows="5" id="nota"></textarea></td>
          </tr>
          <tr valign="baseline">
            <td height="83" align="right" valign="middle" nowrap="nowrap" ><span class="normal">
              <input name="debito2" id="debito2" type="hidden" class="textbox2" size="10" style="text-align: right"  />
            </span><span class="normal">
            <input name="credito2" id="credito2" type="hidden" class="textbox2" size="10" style="text-align: right" />
            </span></td>
            <td colspan="2" align="left" valign="middle" >
            <table width="150" border="0" align="center">
                  <tr>
                    <td height="57" align="center">
                      <div class="contenedorCambioImg" style="text-align:center">
						<img src="img/google_map8.jpg" alt="" width="150" height="70" style="text-align:center; border-radius:8px" 
                        onClick="mapificaPersonal()"/>
                        <img class="top" src="img/google_map2.jpg" alt="" width="150" height="70" style="text-align:center; border-radius:8px" 
                        onClick="mapificaPersonal()"/>
                        </div>                    
                    </td>
                  </tr>
              </table>
            </td>
            <td height="83" align="left" valign="top">&nbsp;</td>
            <td height="83" align="left" valign="top">&nbsp;</td>
          </tr>
          <tr valign="baseline">
            <td height="54" align="right" valign="middle" nowrap="nowrap" >&nbsp;</td>
            <td height="54" colspan="3" align="left" valign="middle" style="text-align:center"><input type="submit" class="Boton1" value="Grabar Registro" />
            &nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp; <input name="Botón" type="button" class="Boton1" value="Salir" onClick="window.close()" /></td>
            <td align="left" valign="top">&nbsp;</td>            
          </tr>
        </table>
        <input type="hidden" name="MM_insert" value="form1" />
  </form></td>
  </tr>
</table>
</body>
</html>

<?php
?>
